Проникающая гидроизоляция бетона
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Помогите плиз с программкой по автоматической нумерации

Помогите плиз с программкой по автоматической нумерации

Ответ
Поиск в этой теме
Непрочитано 26.12.2005, 08:34
Помогите плиз с программкой по автоматической нумерации
Diman111
 
промышл проектант
 
Изовсехщелей
Регистрация: 26.05.2005
Сообщений: 307

Доброе время суток.
Ситуация:
есть набор блоков с изменяемым атрибутом. скажем - геометрический жлемент (круг) и рядом цифра - атрибут.
таких атрибутов на листе порядка 2 тыс. шт. требуется их все пронумеровать. т.е. дуб клик на блоке пишем 1; клик на другом- пишем 2 и т.д.
Просьба такая:
автоматизировать процесс следующим образом:
указываем начальную цифру нумерации - скажем 1;

выделяем набор блоков скажем слева на право жмем ентер и блоки нумеруются с лево на право;

выделяем набор блоков справо на лево жмем ентер и блоки нумеруются с право на лево;
(т.е. должен идти контроль по нумерации по оси х или y по желанию (в принципе и по х достаточно но для универсальности можно и по y));

и так повторяем пока все блоки не пронумеруем.
Выжеляем по 1 ряду.

Если не сложно помогите пожалуйста господа профи.
[ATTACH]1135575294.jpg[/ATTACH]
[ATTACH]1135575325.jpg[/ATTACH]
Просмотров: 41881
 
Непрочитано 26.11.2008, 10:53
#41
delmarioche


 
Регистрация: 26.11.2008
Сообщений: 1


думаю вот это то что тебе нужно!)
работаю уже года два ни разу не подводила

-VBARUN;ThisDrawing.Run_Ferrumattr;

по вопросам загрузки и пользованию програмы обращайтесь всегда рад буду помоч.....
Вложения
Тип файла: rar Ferrum.rar (73.9 Кб, 365 просмотров)

Последний раз редактировалось delmarioche, 26.11.2008 в 10:58.
delmarioche вне форума  
 
Непрочитано 21.10.2009, 12:46 автонумерация
#42
V1ktor1a


 
Регистрация: 19.10.2009
Сообщений: 30


Всем добрый день!
Я ваще мега чайник.
С липсами поняла
Но взяв код для нумератора от любого автора не получаю нужного.
Два дня уже бьюсь
не понимаю что куда вводить после тога как строчки команды меняются
Выходит, чтобы получить нормальное выполнение команды нужно самой научиться создавать программки...
Помогите, плиз)
Автокад электрикал.
нужно тоже чтоб например:
1.1 ... 1.5 и тд
или 1-1/1....1-1/5 и тд
но чтобы привязка последующих номеров была там где кликает мышка.
если есть такое то дайте ссылку и оч нужно что вписывать понять))
Заранее благодарна
V1ktor1a вне форума  
 
Непрочитано 21.10.2009, 16:38
#43
Олег (jr.)

специалист по околачиванию грушевых деревьев
 
Регистрация: 14.09.2004
Pietari, Venäjä
Сообщений: 813


Цитата:
Сообщение от V1ktor1a Посмотреть сообщение
Всем добрый день!
Я ваще мега чайник.
С липсами поняла
Но взяв код для нумератора от любого автора не получаю нужного.
Два дня уже бьюсь
не понимаю что куда вводить после тога как строчки команды меняются
Выходит, чтобы получить нормальное выполнение команды нужно самой научиться создавать программки...
Помогите, плиз)
Автокад электрикал.
нужно тоже чтоб например:
1.1 ... 1.5 и тд
или 1-1/1....1-1/5 и тд
но чтобы привязка последующих номеров была там где кликает мышка.
если есть такое то дайте ссылку и оч нужно что вписывать понять))
Заранее благодарна
Если нужно вставлять простой текст то попробуй:
Код:
[Выделить все]
 (defun	C:nom  (/ head inc inc_num ipt odz pt start tail)

   (setq odz (getvar "dimzin"))
   (setvar "dimzin" 3)
   
   (setq start (getstring "\nЗадайте начальное значение <1.0 или 1-1/1>: "))

   (setq inc (getstring
	       "\nЗадайте приращение <десятичные только через точку, напр. 0.1>: "))

   (cond ((vl-string-search "." inc 0)
	  (setq inc_num (atof inc))
	  (setq flag 1)
	  )
	 ((vl-string-search "/" inc 0)
	  (setq inc_num (atoi inc))
	  (setq flag 2))
	 (T
	  (setq inc_num (atoi inc))
	  (setq flag 2)
	  )
	 )
   
   (while (setq	ipt (getpoint
		      "\nУказать точку вставки текста <или Enter для завершения>: "))
     (entmake (list (cons 0 "TEXT")
		    (cons 10 ipt)
		    (cons 11 ipt)
		    (cons 1 start)
		    (cons 7 (getvar "TEXTSTYLE"))
		    (cons 40 (getvar "TEXTSIZE"))
		    (cons 72 4))
	      )

     (if (= 1 flag)
       (setq start (rtos (+ (atof start) inc_num) 2 1))
       (progn
	 (setq head (substr start 1 (1+ (vl-string-search "/" start 0))))
	 (setq tail (substr start (+ 2 (vl-string-search "/" start 0))))
	 (setq start (strcat head (itoa (+ inc_num (atoi tail))))))
       )
     )
   (setvar "dimzin" odz)
   (princ)
   )
 (princ "\n\t\t***\tПрограмма загружена, введите в командной строке: NOM\t***")
 (princ)
~'J'~
Олег (jr.) вне форума  
 
Непрочитано 17.09.2010, 11:25
#44
dafara


 
Регистрация: 31.05.2010
Сообщений: 37


Подскажите пожалуйста, а можно при помощи нумератора нумеровать мультивыноски? Если да, то ссылочку пожалуйста скиньте на программу.
dafara вне форума  
 
Непрочитано 25.09.2010, 18:03
#45
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,852
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Нумератор для мультивыносок
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума  
 
Непрочитано 05.10.2010, 11:38
#46
v_alex


 
Регистрация: 24.10.2005
Новокузнецк
Сообщений: 1,121
<phrase 1=


глубоко извиняюсь... прочел кучу тем по автоматической нумерации... но не нашел возможности нумеровать атрибуты буквами А, Б, В и так далее... в общем хочется блоки осей нумеровать... подскажите пожалуйста, может кто видел подобный лисп...
v_alex вне форума  
 
Непрочитано 05.10.2010, 12:32
#47
Alan

CAD
 
Регистрация: 28.08.2003
Киев
Сообщений: 1,784
<phrase 1=


Цитата:
Сообщение от v_alex Посмотреть сообщение
глубоко извиняюсь... прочел кучу тем по автоматической нумерации... но не нашел возможности нумеровать атрибуты буквами А, Б, В и так далее... в общем хочется блоки осей нумеровать... подскажите пожалуйста, может кто видел подобный лисп...
Вообще-то количество букв ограничено...
Но никто вам не мешает использовать список Букв
Код:
[Выделить все]
(setq MList  '(А Б В Г Д Е Ж И К Л М Н П Р С Т У Ф Х Ц Ч Ш Щ Э Ю Я))
;;;с последовательным выбором из списка
(setq marka (nth i Mlist))
;;; ,где i - счетчик цикла
__________________
По теории майский жук летать не может.
Но он этого не знает. И летает...
Alan вне форума  
 
Непрочитано 28.10.2011, 23:12
#48
Alexeipost


 
Регистрация: 07.12.2010
Уфа
Сообщений: 376
<phrase 1=


Периодически просматриваю сайт очень мною уважаемого Lee Mac и вот буквально только что наткнулся на программку от него, которая в режиме реального времени нумерует блоки. Прога очень интересна тем, что в продолжает нумерацию блоков при их вставке/копировании, а также перенумеровывает при удалении любого блока. Всем заинтересовавшимся смотреть на lee-mac.com
Alexeipost вне форума  
 
Непрочитано 10.04.2012, 15:07
#49
tryba22


 
Регистрация: 19.08.2011
Сообщений: 10


Спасибо, VVA за код из поста #40, но было бы неплохо добавить в него еще суффиксы и префиксы
tryba22 вне форума  
 
Непрочитано 10.04.2012, 15:32
#50
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,973


tryba22, если мне не изменяет моя память, то: стоит заняться поиском, и нумераторов будет тьма-тьмущая. И с суффиксами, и с префиксами, и с бантиками, и с хвостиками...
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 10.04.2012, 20:24
#51
tryba22


 
Регистрация: 19.08.2011
Сообщений: 10


Это верно, их тьма, поиском пользоваться умею, перепробовал каждый, самый стабильный и удовлетворяющий моим условиям оказался именно этот, но без префиксов, недостатки других описывать не зачем, говорю как есть.
tryba22 вне форума  
 
Непрочитано 11.04.2012, 11:44
#52
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,852
<phrase 1= Отправить сообщение для VVA с помощью Skype™


tryba22,
Добавил с другого нумератора. Не проверял, но должно работать. Перевод, если нужно, сделаешь сам.
Код:
[Выделить все]
(defun C:SN (/ *error* adoc att_list axss blk_list fpt num oaq oat oqa osm sort_list spt test_list cm blkname attname e1 oldPref oldSuf)
;;; Vladimir Azarko (VVA) for dwr.ru  
;;;http://forum.dwg.ru/showthread.php?t=5059&page=2
;;; 11.04.20112 Добавлен префикс суффикс
;;; 17.11.2008 Добавлена обработка динамических блоков (эффективное имя)
;;; Модификация кода Лентяй, опубликованного
;;; http://dwg.ru/f/showpost.php?p=50584&postcount=37
;;; В переменные blkname и attname вынесены названия блока и атрибута для хранения номера
;;; Полезные ссылки:
;;; Нумерация, перенумерация
;;; http://www.caduser.ru/cgi-bin/f1/boa...33416cQ&page=1
;;; Как правильно загрузить этот лисп
;;; http://dwg.ru/art/8
  (setq blkname "СВАЯ"  ;_ Имя блока сваи
 attname "NUM"   ;_ Имя аттрибута
  )
  (vl-load-com) 
  (defun *error* (error) 
    (cond ((not error)) 
          ((wcmatch (strcase error) "*QUIT*,*CANCEL*")) 
          (1 (princ (strcat "\nERROR: " error)))) 
    (setvar "osmode" osm)  (setvar "attdia" oat) 
    (setvar "attreq" oaq) (setvar "qaflags" oqa) 
    (setvar "cmdecho" 1) (vla-endundomark adoc) 
    (princ));defun 
  (setq adoc (vla-get-activedocument (vlax-get-acad-object))) 
  (vla-endundomark adoc) 
  (vla-startundomark adoc) 
  (setvar "cmdecho" 0) 
  (setq oat (getvar "attdia") osm (getvar "osmode") 
        oaq (getvar "attreq") oqa (getvar "qaflags")) 
  (setvar "attdia" 0);Выводятся запросы в командной строке (окно подавляется) 
  (setvar "attreq" 0);Для каждого атрибута не выдается запрос значения    
  (setvar "qaflags" 0);Запрет вывода на экран окон предупреждений, перенос их в командную строку  
  (setvar "osmode" 0) 
  (setq fpt (getpoint "\nПервый угол рамки выбора >> \n") 
               spt (getcorner fpt "\nВторой угол рамки выбора >> \n"))
  
    (if  (setq axss (ssget "_W" fpt spt (list (cons 0 "INSERT")(cons 66 1))))
      (progn
 (setq num '-1)
 (repeat (sslength axss)
   (setq blk_list (cons (vlax-ename->vla-object(ssname axss (setq num (1+ num)))) blk_list))
   )
(or rnm:Pref(setq rnm:Pref ""))(or rnm:Suf(setq rnm:Suf ""))
(setq oldPref rnm:Pref oldSuf rnm:Suf); end setq
(setq rnm:Pref (getstring T
		 (strcat "\nType prefix:(If you want to delete prefix type ' ' (press SPACE key on keyboard) <" rnm:Pref "> :")))
(if(= "" rnm:Pref)(setq rnm:Pref oldPref))(if(= " " rnm:Pref)(setq rnm:Pref ""))
(setq rnm:Suf (getstring T
                (strcat "\nType suffix:(If you want to delete prefix type ' ' (press SPACE key on keyboard) <"rnm:Suf"> :")))
(if(= "" rnm:Suf)(setq rnm:Suf oldSuf))(if(= " " rnm:Suf)(setq rnm:Suf ""))
 (initget 4) 
        (setq num (getint "\n\t >> Начальный номер [Enter для продолжения] : ")) 
        (if (not num) (setq num (if *last_number* *last_number* 
                            (getint "\n\t >> Первый раз номер задается обязательно  : "))))
        (initget "Вперед Назад") 
        (setq dir (getkword "\nНаправление [Вперед/Назад]: <Вперед>")) 
        (if (null dir) (setq dir "Вперед")) 
        (if (= dir "Вперед") (setq cm <) (setq cm >))  
        (setq test_list (mapcar '(lambda (x) (vlax-get x 'Insertionpoint)) blk_list) 
              sort_list (vl-sort blk_list '(lambda (e1 e2) 
                          (if (vl-every '(lambda (x) (equal (cadr x) (cadar test_list) 0.1)) test_list) 
                            (cm (abs (- (car fpt) (car (vlax-get e1 'Insertionpoint)))) 
                               (abs (- (car fpt) (car (vlax-get e2 'Insertionpoint))))) 
                            (cm (abs (- (cadr fpt) (cadr (vlax-get e1 'Insertionpoint)))) 
                               (abs (- (cadr fpt) (cadr (vlax-get e2 'Insertionpoint)))))))));setq 
        (foreach blk_obj sort_list 
          (if (and (vlax-property-available-p blk_obj 'Hasattributes) 
                   (vlax-read-enabled-p blk_obj) (vlax-write-enabled-p blk_obj)
     (= (strcase blkname)
        (strcase
   (cond
     ((and (vlax-property-available-p blk_obj 'isdynamicblock)
    (= (vla-get-isdynamicblock blk_obj) :vlax-true)
    ) ;_ end of and
      (vla-get-effectivename blk_obj)
      )
     (t (vla-get-name blk_obj))
     )
   )
        )
     )
            (progn (setq att_list (vlax-invoke blk_obj 'Getattributes)) 
              (foreach at att_list 
                (if (eq (strcase(vla-get-tagstring at))(strcase attname))
                  (progn (vla-put-textstring at (strcat rnm:Pref (itoa num) rnm:Suf)) 
                    (vla-update at) (vla-update blk_obj))))));if 
          (setq num (1+ num)));foreach 
        (setq axss nil) 
        (setq blk_list nil)));if 
  (setq *last_number* num) 
  (vla-regen adoc acactiveviewport) 
  (*error* nil) 
  (princ) 
);end 
(prompt "\nВ командной строке набери SN \n") 
(princ)
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума  
 
Непрочитано 11.04.2012, 12:02
#53
tryba22


 
Регистрация: 19.08.2011
Сообщений: 10


VVA, проверил, работает как надо! Спасибо, огромное!
В идеале, конечно, если после рамки, была возможность довыбора блоков, либо снятия выбора с ненужных блоков.
tryba22 вне форума  
 
Непрочитано 12.04.2012, 11:37
#54
antiponf


 
Регистрация: 11.01.2012
Сообщений: 38


Цитата:
Сообщение от VVA Посмотреть сообщение
tryba22,
Добавил с другого нумератора. Не проверял, но должно работать. Перевод, если нужно, сделаешь сам.
Код:
[Выделить все]
(defun C:SN (/ *error* adoc att_list axss blk_list fpt num oaq oat oqa osm sort_list spt test_list cm blkname attname e1 oldPref oldSuf)
;;; Vladimir Azarko (VVA) for dwr.ru  
;;;http://forum.dwg.ru/showthread.php?t=5059&page=2
;;; 11.04.20112 Добавлен префикс суффикс
;;; 17.11.2008 Добавлена обработка динамических блоков (эффективное имя)
;;; Модификация кода Лентяй, опубликованного
;;; http://dwg.ru/f/showpost.php?p=50584&postcount=37
;;; В переменные blkname и attname вынесены названия блока и атрибута для хранения номера
;;; Полезные ссылки:
;;; Нумерация, перенумерация
;;; http://www.caduser.ru/cgi-bin/f1/boa...33416cQ&page=1
;;; Как правильно загрузить этот лисп
;;; http://dwg.ru/art/8
  (setq blkname "СВАЯ"  ;_ Имя блока сваи
 attname "NUM"   ;_ Имя аттрибута
  )
  (vl-load-com) 
  (defun *error* (error) 
    (cond ((not error)) 
          ((wcmatch (strcase error) "*QUIT*,*CANCEL*")) 
          (1 (princ (strcat "\nERROR: " error)))) 
    (setvar "osmode" osm)  (setvar "attdia" oat) 
    (setvar "attreq" oaq) (setvar "qaflags" oqa) 
    (setvar "cmdecho" 1) (vla-endundomark adoc) 
    (princ));defun 
  (setq adoc (vla-get-activedocument (vlax-get-acad-object))) 
  (vla-endundomark adoc) 
  (vla-startundomark adoc) 
  (setvar "cmdecho" 0) 
  (setq oat (getvar "attdia") osm (getvar "osmode") 
        oaq (getvar "attreq") oqa (getvar "qaflags")) 
  (setvar "attdia" 0);Выводятся запросы в командной строке (окно подавляется) 
  (setvar "attreq" 0);Для каждого атрибута не выдается запрос значения    
  (setvar "qaflags" 0);Запрет вывода на экран окон предупреждений, перенос их в командную строку  
  (setvar "osmode" 0) 
  (setq fpt (getpoint "\nПервый угол рамки выбора >> \n") 
               spt (getcorner fpt "\nВторой угол рамки выбора >> \n"))
  
    (if  (setq axss (ssget "_W" fpt spt (list (cons 0 "INSERT")(cons 66 1))))
      (progn
 (setq num '-1)
 (repeat (sslength axss)
   (setq blk_list (cons (vlax-ename->vla-object(ssname axss (setq num (1+ num)))) blk_list))
   )
(or rnm:Pref(setq rnm:Pref ""))(or rnm:Suf(setq rnm:Suf ""))
(setq oldPref rnm:Pref oldSuf rnm:Suf); end setq
(setq rnm:Pref (getstring T
		 (strcat "\nType prefix:(If you want to delete prefix type ' ' (press SPACE key on keyboard) <" rnm:Pref "> :")))
(if(= "" rnm:Pref)(setq rnm:Pref oldPref))(if(= " " rnm:Pref)(setq rnm:Pref ""))
(setq rnm:Suf (getstring T
                (strcat "\nType suffix:(If you want to delete prefix type ' ' (press SPACE key on keyboard) <"rnm:Suf"> :")))
(if(= "" rnm:Suf)(setq rnm:Suf oldSuf))(if(= " " rnm:Suf)(setq rnm:Suf ""))
 (initget 4) 
        (setq num (getint "\n\t >> Начальный номер [Enter для продолжения] : ")) 
        (if (not num) (setq num (if *last_number* *last_number* 
                            (getint "\n\t >> Первый раз номер задается обязательно  : "))))
        (initget "Вперед Назад") 
        (setq dir (getkword "\nНаправление [Вперед/Назад]: <Вперед>")) 
        (if (null dir) (setq dir "Вперед")) 
        (if (= dir "Вперед") (setq cm <) (setq cm >))  
        (setq test_list (mapcar '(lambda (x) (vlax-get x 'Insertionpoint)) blk_list) 
              sort_list (vl-sort blk_list '(lambda (e1 e2) 
                          (if (vl-every '(lambda (x) (equal (cadr x) (cadar test_list) 0.1)) test_list) 
                            (cm (abs (- (car fpt) (car (vlax-get e1 'Insertionpoint)))) 
                               (abs (- (car fpt) (car (vlax-get e2 'Insertionpoint))))) 
                            (cm (abs (- (cadr fpt) (cadr (vlax-get e1 'Insertionpoint)))) 
                               (abs (- (cadr fpt) (cadr (vlax-get e2 'Insertionpoint)))))))));setq 
        (foreach blk_obj sort_list 
          (if (and (vlax-property-available-p blk_obj 'Hasattributes) 
                   (vlax-read-enabled-p blk_obj) (vlax-write-enabled-p blk_obj)
     (= (strcase blkname)
        (strcase
   (cond
     ((and (vlax-property-available-p blk_obj 'isdynamicblock)
    (= (vla-get-isdynamicblock blk_obj) :vlax-true)
    ) ;_ end of and
      (vla-get-effectivename blk_obj)
      )
     (t (vla-get-name blk_obj))
     )
   )
        )
     )
            (progn (setq att_list (vlax-invoke blk_obj 'Getattributes)) 
              (foreach at att_list 
                (if (eq (strcase(vla-get-tagstring at))(strcase attname))
                  (progn (vla-put-textstring at (strcat rnm:Pref (itoa num) rnm:Suf)) 
                    (vla-update at) (vla-update blk_obj))))));if 
          (setq num (1+ num)));foreach 
        (setq axss nil) 
        (setq blk_list nil)));if 
  (setq *last_number* num) 
  (vla-regen adoc acactiveviewport) 
  (*error* nil) 
  (princ) 
);end 
(prompt "\nВ командной строке набери SN \n") 
(princ)
А можно чтоб сначала нумерация шла сверху вниз, а только потом слева на право, и как нибудь привязать чтобы если у блока несколько видимостей, то считал блоки с одной видимостью, потом с другой и т.д.?

Последний раз редактировалось antiponf, 13.04.2012 в 14:53.
antiponf вне форума  
 
Непрочитано 22.01.2013, 17:59
#55
d.mOnII

Проектирование
 
Регистрация: 22.01.2013
Минск
Сообщений: 123
Отправить сообщение для d.mOnII с помощью Skype™


что то совсем ппц
у мну динамический блоков, есть вариант установки блока по базовой точке в одну и ту же координату
но даже без этого нумератор отказывается работать
блок записываю в тело прокграммы в кавычках
тело проги на лиспе пробовалось с различных постов в том числе и из #38

если кто поможет разобраться - будет очнь приятно
хотелось бы уточнить, возможно ли сделать так:
я подгружаю лисп
ввожу команду
вбиваю превикс начальный номер и шаг
ставлю блок, выполняю над ним различные манипуляции (растягивание поворот видимость)
затем делаю некоторые иные действия над чертежом
после этого снова ввожу команду (посути получается команда предназначенная для вставки определенного блока, имя которого вшито в тело лисп) и вставляю блок со следующим порядковым номером если не изменяю превикс и с новой параллельной нумерацией, если изменяю префикс
и т.д.

З.Ы. при использовании лисп кода от VVA у мну в конце выдает сообщение типа блок не найден
d.mOnII вне форума  
 
Непрочитано 22.01.2013, 18:32
#56
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,973


Теперь бы перевести этот поток букв...
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 22.01.2013, 21:24
#57
hwd

C, C++, C#
 
Регистрация: 07.10.2009
С-Пб.
Сообщений: 2,762
Отправить сообщение для hwd с помощью Skype™


Цитата:
Сообщение от d.mOnII Посмотреть сообщение
что то совсем ппц
Абсолютный. Смысл лезть в AutoCAD, если даже писать не умеешь? Тяжко тебе будет...
__________________
Надеюсь, ты не социальный овощ? Это определяется делами! :welcome:
hwd вне форума  
 
Непрочитано 22.01.2013, 21:52
#58
KennyMckormik


 
Регистрация: 30.08.2009
Сообщений: 189


Пользуюсь http://dwg.ru/dnl/1929 очень доволен. Есть возможность нумерации по направлению x, y прямо и обратно, без сортировки (по порядку выбора) формируется строка из изменяемых и редактируемых частей, есть проходы (цикл в цикле сначала меняется один параметр, как закончится увеличивается другой и поновой перебор) в общем мощная штука
__________________
Timeo Danaos et dona ferentes :eek:
KennyMckormik вне форума  
 
Непрочитано 23.01.2013, 08:50
#59
Alexeipost


 
Регистрация: 07.12.2010
Уфа
Сообщений: 376
<phrase 1=


Цитата:
Сообщение от d.mOnII Посмотреть сообщение
что то совсем ппц
у мну динамический блоков, есть вариант установки блока по базовой точке в одну и ту же координату
но даже без этого нумератор отказывается работать
блок записываю в тело прокграммы в кавычках
тело проги на лиспе пробовалось с различных постов в том числе и из #38

если кто поможет разобраться - будет очнь приятно
Граждане! Что вы накинулись на него? Человек же просит помочь разобраться! Давайте поможем!
"у мну динамический блоков" - скорее всего должно быть так "У меня есть динамические блоки".
"есть вариант установки блока по базовой точке в одну и ту же координату" - тут всё понятно вроде бы, хотя в конце надо поставить точку.
"но даже без этого нумератор отказывается работать" - Конечно слово "но" должно писаться с большой буквы. Смысл данного предложения в том, что нумератор не работает, но не понятно из-за чего. Не определено слово "этого", т.е. не понятно на что оно указывает.
"блок записываю в тело прокграммы в кавычках" - это для программистов! Программист ЛИСПа всё поймет. Я к сожалению ЛИСП не знаю, так что ничего тут не скажу. Только то, что там досадная опечатка в слове "программы".
"тело проги на лиспе пробовалось с различных постов в том числе и из #38" - указывается богатый опыт по использованию ЛИСП-программ.

Цитата:
Сообщение от d.mOnII Посмотреть сообщение
хотелось бы уточнить, возможно ли сделать так:
я подгружаю лисп
Можно так сделать.
Цитата:
Сообщение от d.mOnII Посмотреть сообщение
ввожу команду
Можно так сделать
Цитата:
Сообщение от d.mOnII Посмотреть сообщение
вбиваю превикс начальный номер и шаг
Если "превикс" это "префикс" и если поставить запятую в нужном месте, то и так можно сделать.
Цитата:
Сообщение от d.mOnII Посмотреть сообщение
ставлю блок, выполняю над ним различные манипуляции (растягивание поворот видимость)
Если блок позволяет его растягивать, поворачивать и менять видимость, то можно.
Цитата:
Сообщение от d.mOnII Посмотреть сообщение
затем делаю некоторые иные действия над чертежом
Некоторые действия тоже можно выполнить. Но только некоторые!
Цитата:
Сообщение от d.mOnII Посмотреть сообщение
после этого снова ввожу команду (посути получается команда предназначенная для вставки определенного блока, имя которого вшито в тело лисп) и вставляю блок со следующим порядковым номером если не изменяю превикс и с новой параллельной нумерацией, если изменяю префикс и т.д.
И это тоже все можно сделать!

Цитата:
Сообщение от d.mOnII Посмотреть сообщение
З.Ы. при использовании лисп кода от VVA у мну в конце выдает сообщение типа блок не найден
ЛИСП-программа сообщает, что в данном чертеже не найден блок с указанным именем (или другими проверяемыми параметрами).
Alexeipost вне форума  
 
Непрочитано 23.01.2013, 09:02
#60
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,973


Alexeipost, объясняю два раза: первый и последний. Вот ты выступил в защиту, а теперь попробуй ответить на следующие вопросы:
  1. Про какой код вообще разговор?
  2. Что значит "есть вариант установки блока по базовой точке в одну и ту же координату"? Это вставка блока в одну и ту же точку? Точно не изменение параметра базовой точки?
  3. "блок записываю в тело прокграммы в кавычках" - что именно записывается? Где пример dwg?
  4. <...> Ну и так далее.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Помогите плиз с программкой по автоматической нумерации

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск